import { type GenericObject } from '../Types';
export declare class ApplicationEvent {
    private readonly id;
    private readonly type;
    private readonly timestamp;
    private readonly payload;
    protected constructor(id: string, type: string, payload: GenericObject);
    addToPayload(info: GenericObject): void;
    asObject(): GenericObject;
    static create(type: string, payload?: GenericObject): ApplicationEvent;
}
