import { type ApplicationEvent } from './ApplicationEvent';
import { type EventEmitterInterface } from './EventEmitterInterface';
export declare class EventQueue {
    private readonly batchSize;
    private readonly eventEmitter;
    private readonly queue;
    private accept;
    constructor(eventEmitter: EventEmitterInterface, batchSize?: number);
    add(applicationEvent: ApplicationEvent): boolean;
    flush(): Promise<void>;
}
