import { HttpException } from './http.exception';
export declare class ClientHttpException extends HttpException {
    /**
     * Create a new ClientHttpException
     * @param {number} statusCode the HTTP status code to propagate to the client
     * @param {string} message the message to send to the client
     */
    static create(statusCode: string | number, message: string): ClientHttpException;
}
