import { type Response } from './Response';
import { type Request } from 'express';
export declare class Server {
    private runtimeContext;
    private environment;
    private applicationContext;
    private intervalTimer;
    private router;
    private finalResponseHandler;
    private awsRequestAdaptor;
    load(config?: string): Promise<(req: Request, res: Response) => Promise<any>>;
    run(req: Request, res: Response): Promise<any>;
    private handleServerlessMode;
    private discoverRouter;
}
