import { type EnvironmentConfiguration } from 'dino-core';
import { type GenericObject } from '../Types';
import { type Request } from 'express';
export declare class AwsRequestAdaptor {
    private readonly exposes;
    private readonly requestBodyParser;
    constructor(environment: EnvironmentConfiguration);
    adapt(message: GenericObject): Request;
    /**
     * Build the request URL if required
     * @param {Object} message the request message
     * @returns {String}
     *
     * @private
     */
    private buildUrl;
    private getHeaders;
    private getOriginalUrl;
    private getMethod;
    private getQuery;
}
